Package org.eclipse.birt.chart.factory

# Class ActionEvaluatorAdapter

java.lang.Object
org.eclipse.birt.chart.factory.ActionEvaluatorAdapter

All Implemented Interfaces:
  `IActionEvaluator`

public class ActionEvaluatorAdapter extends Object implements IActionEvaluator
An adapter class for IActionEvaluator

## Constructor Summary

Constructors
Constructor
Description
`ActionEvaluatorAdapter()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getActionExpressions(Action action, StructureSource source)`
Returns the expressions contained in the action.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionEvaluatorAdapter

public ActionEvaluatorAdapter()

## Method Details

### getActionExpressions

public String[] getActionExpressions(Action action, StructureSource source)
Description copied from interface: `IActionEvaluator`
Returns the expressions contained in the action. Could be null if not containing any expression.

Specified by:
  `getActionExpressions` in interface `IActionEvaluator`